summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm_ovsdpdk/examples/virtio-user.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2017-11-16 12:23:16 -0500
committerGuo Ruijing <ruijing.guo@intel.com>2017-11-20 18:43:47 -0500
commit57c01199d342c5051fef2bb94f463f21749089bb (patch)
treec2e6c28b3bd1fed53b92038bf1286e82f4661606 /src/vagrant/kubeadm_ovsdpdk/examples/virtio-user.sh
parentb2da960212571fc3e287eedcdc4c8c92fed9bf83 (diff)
add examples for container4nfv
1. add example for kubeadm with weave 2. add example for kubeadm with multus 3. add example for kubeadm with ovsdpdk 4. add example for kubeadm with virtlet Change-Id: I138e71e45f0aba8389dca0e1a826f4662572af29 Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'src/vagrant/kubeadm_ovsdpdk/examples/virtio-user.sh')
-rwxr-xr-xsrc/vagrant/kubeadm_ovsdpdk/examples/virtio-user.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/src/vagrant/kubeadm_ovsdpdk/examples/virtio-user.sh b/src/vagrant/kubeadm_ovsdpdk/examples/virtio-user.sh
new file mode 100755
index 0000000..dd918de
--- /dev/null
+++ b/src/vagrant/kubeadm_ovsdpdk/examples/virtio-user.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Copyright (c) 2017 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
+
+kubectl delete rc --all
+kubectl apply -f /vagrant/examples/virtio-user.yaml
+r="0"
+while [ $r -ne "4" ]
+do
+ r=$(kubectl get pods --all-namespaces | grep ovsdpdk | grep Run | wc -l)
+ sleep 20
+done
+
+kubectl delete rc --all
+kubectl apply -f /vagrant/examples/virtio-user.yaml
+r="0"
+while [ $r -ne "2" ]
+do
+ r=$(kubectl get pods | grep Running | wc -l)
+ sleep 20
+done
+kubectl get pods --all-namespaces
+sleep 20
+ping -c4 10.244.0.103 || ping -c4 10.244.0.104